BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 01-27-2010, 12:22 PM   #1 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default BES 4.1.6 and BES 5.0 on same domain, DB issues?

Please Login to Remove!

I have a BES 4.1.6 BES running perfectly fine. I'm in the process of setting up a BES 5.0 in my other data center and it's asking for what DB I want to use.

If I point it to the DB that 4.1.6 is using, is it going to upgrade the DB and hose that servers email flow on my 4.1.6 box?

I dont want to do a KE cutover. I want to setup BES 5.0 using the 4.1.6 DB, and migrate some users to BES 5.0 and keep both servers running simultaneously. Is this possible?
__________________
Your lack of planning is not my emergency.
Offline  
Old 01-27-2010, 01:27 PM   #2 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

Quote:
Originally Posted by sniffs View Post
I have a BES 4.1.6 BES running perfectly fine. I'm in the process of setting up a BES 5.0 in my other data center and it's asking for what DB I want to use.

If I point it to the DB that 4.1.6 is using, is it going to upgrade the DB and hose that servers email flow on my 4.1.6 box?

I dont want to do a KE cutover. I want to setup BES 5.0 using the 4.1.6 DB, and migrate some users to BES 5.0 and keep both servers running simultaneously. Is this possible?
The database will be upgraded, and you will likely run into problems if you try to run both versions of BES on the same database. I doubt RIM will support such a setup, even if you do manage to get it working.

In my opinion, you're asking for trouble. Don't do it.
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 01-27-2010, 04:22 PM   #3 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Damn.. so basically I install 5.0.1, new DB, then use the DB upgrade tool to migrate people to 5.0.1..
__________________
Your lack of planning is not my emergency.
Offline  
Old 01-27-2010, 04:41 PM   #4 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Passp
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,817
Post Thanks: 287
Thanked 305 Times in 287 Posts
Default

I would create a new SQL instance for the new database.
Install BES 5.0 and point to the new instance.

Then use transporter to move user.


KB17538 - What is the BlackBerry Enterprise Transporter
View Document


Here is most of the documentation you need will to install and administer the BB 5.0 server:

Server 5.0 Upgrade Paths:

BlackBerry - BlackBerry Enterprise Server Upgrade Paths


Server 5.0 Intsallation Support:

BlackBerry - BlackBerry Enterprise Server - Installation



Server 5.0 Upgarde guide:

Upgrade Guide



BlackBerry Enterprise Server Resource Kit Docs and Files

https://www.blackberry.com/Downloads...C1D6CE93DC54B8


BlackBerry Enterprise Server Resource Kit - Manuals and Guides


Server 5.0 Admin Tutorial:

BlackBerry® Administration Service


All Server guides:

BlackBerry - Manuals and Guides for Administrators
__________________
unlock you phone here http://cellunlocker.net/blackberry-unlock.php
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Offline  
Old 01-29-2010, 02:09 AM   #5 (permalink)
CrackBerry Addict
 
skyman84's Avatar
 
Join Date: Sep 2008
Location: London, UK
Model: 9900
OS: 7.1
PIN: ask!
Carrier: O2 UK
Posts: 932
Post Thanks: 0
Thanked 1 Time in 1 Post
Default

Best way like Knotty said is to create a new database and use the enterprise transporter to migrate users.

it's a very simple tool.
__________________
Simon
http://www.twitter.com/simonjhardy
Offline  
Old 01-29-2010, 09:22 AM   #6 (permalink)
Talking BlackBerry Encyclopedia
 
besadmin23's Avatar
 
Join Date: Nov 2005
Model: Bold
Carrier: AT&T
Posts: 234
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

4.1.6 BES will run. RIM supports mixed mode even in this scenario for sure. But you will only be able to manage the 4.1.6 BES via the BAS interface. The BBManager will not run against the upgraded DB. One benefit however is that you can move users back and forth from the 4.1.6 BES to the 5.0 BES which may be helpful if you need.

Having said that, Enterprise Transporter is a pretty good way to get users from the old to the new DB if you want to go that route. And we all like clean new things, right?
Offline  
Old 01-29-2010, 11:42 PM   #7 (permalink)
Thumbs Must Hurt
 
Join Date: Jan 2008
Location: Indonesia
Model: 9700
PIN: N/A
Carrier: Indosat
Posts: 189
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

if you want upgrade your local database with msde, you must upgrade to msde sp 4 first.
__________________
------------------------------------
http://2blackberry.blogspot.com
Offline  
Old 03-24-2010, 12:18 PM   #8 (permalink)
New Member
 
Join Date: Mar 2010
Model: 9560
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I am trying to use the BlackBerry Enterprise Transporter. I can connect to databases fine. When I try to move a user from BES 4.1 to BES 5.0 server it keeps saying that ERROR: Destination contains servers older than 5.0. I am not sure why its saying this the Destination server is 5.0 SP1.

When I performed the 4.1 to 5.0 upgrade I installed a brand new server, moved the BES 4.1 databases to a new SQL server, updated the databases to 5.0 and performed the installation. I know the BES 5.0 server works because i have all of the IT staff running on it. Please Help!

FYI i had to remove all the links from your original post because i am new here.

[quote=knottyrope;1555366]I would create a new SQL instance for the new database.
Install BES 5.0 and point to the new instance.

Then use transporter to move user.


KB17538 - What is the BlackBerry Enterprise Transporter


Here is most of the documentation you need will to install and administer the BB 5.0 server:

Server 5.0 Upgrade Paths:


Server 5.0 Intsallation Support:




Server 5.0 Upgarde guide:




BlackBerry Enterprise Server Resource Kit Docs and Files



Server 5.0 Admin Tutorial:



All Server guides:
Offline  
Old 03-25-2010, 12:21 PM   #9 (permalink)
New Member
 
Join Date: Mar 2010
Model: 9560
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Anyone have any suggestions to my Enterprise Transporter issue?

(03/25 11:21:43) Preparing to process 1 users
(03/25 11:21:44) Starting global validation tasks
(03/25 11:21:44) Performing test BAS call
(03/25 11:21:45) Connecting to BAS: BLACKBERRY.LWGINC.COM
(03/25 11:21:48) Starting BAS call using AdminWS
(03/25 11:21:48) BAS call completed successfully.
(03/25 11:21:48) Test BAS call succeeded
(03/25 11:21:48) Global validation tasks completed
(03/25 11:21:48) {wgrand@lwgconsulting.com} Validating user, TransId=3
(03/25 11:21:48) {wgrand@lwgconsulting.com} ERROR: InvalidDestMixedMode, Destination contains servers older than 5.0
(03/25 11:21:48) {wgrand@lwgconsulting.com} *** User has invalid data and will not be migrated ***
(03/25 11:21:48) {wgrand@lwgconsulting.com} Validation failed for user, TransId=3
(03/25 11:21:48) {wgrand@lwgconsulting.com} Completing job TransId=3
(03/25 11:21:48) **** START USER SUMMARY ****
(03/25 11:21:48) {wgrand@lwgconsulting.com} ValidationFailed
(03/25 11:21:48) **** END USER SUMMARY ****
(03/25 11:21:48) Preview Complete!

Last edited by pxpx : 03-25-2010 at 12:25 PM.
Offline  
Old 03-25-2010, 01:51 PM   #10 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Passp
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,817
Post Thanks: 287
Thanked 305 Times in 287 Posts
Default

ERROR: Destination contains servers older than 5.0
Description
This message appears if BlackBerry® Enterprise Server version 5.0 and earlier versions are both present in the destination
BlackBerry Domain.
Possible solution
Upgrade all BlackBerry Enterprise Server instances in the destination BlackBerry Domain to version 5.0 or later and then run the
BlackBerry Enterprise Transporter.
__________________
unlock you phone here http://cellunlocker.net/blackberry-unlock.php
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Offline  
Old 03-26-2010, 11:26 AM   #11 (permalink)
New Member
 
Join Date: Mar 2010
Model: 9560
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

So if I am using the BlackBerry Administration service Web UI under BlackBerry Solution Topology --> BlackBerry Domain --> Server View I see both my 4.1.6 server and 5.0.1 server. I am assuming this is why the transporter isn't working correctly. I am not a BES pro by any means but do I need to remove the BES 4.1.6 server somehow, and if so is this safe because 99% of the company is using the BES 4.1.6 server still until I migrate them over to BES 5.0. If I do need to remove it how do i safely do that.

Last edited by pxpx : 03-26-2010 at 12:22 PM.
Offline  
Old 03-29-2010, 05:52 PM   #12 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2005
Model: Torch
Carrier: ATT
Posts: 179
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

WHat constitutes a Blackberry domain? All the BES connecting to a specific database?
Offline  
Old 03-30-2010, 10:48 AM   #13 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Passp
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,817
Post Thanks: 287
Thanked 305 Times in 287 Posts
Default

The wording domain is misleading. It refers to the BlackBerry Domain/instance. It is one per BES database.
__________________
unlock you phone here http://cellunlocker.net/blackberry-unlock.php
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Offline  
Old 04-12-2010, 03:16 PM   #14 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2005
Model: Torch
Carrier: ATT
Posts: 179
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

thanks for confirming knottyrope
Offline  
Old 04-13-2010, 03:45 AM   #15 (permalink)
Thumbs Must Hurt
 
Claidheamhmor's Avatar
 
Join Date: Apr 2009
Model: 9810
PIN: N/A
Carrier: Vodacom
Posts: 52
Post Thanks: 0
Thanked 2 Times in 2 Posts
Default

Can one run BESX 5.0 and BES 4.1.6 separately though? In other words, on different servers, pointing to different databases? I want to set up BESX, and migrate users one by one by deactivating on 4.1.6 and reactivating on BESX.
__________________
Claidheamhmor's BlackBerry Blog
Offline  
Old 04-13-2010, 06:27 AM   #16 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

Quote:
Originally Posted by Claidheamhmor View Post
Can one run BESX 5.0 and BES 4.1.6 separately though? In other words, on different servers, pointing to different databases? I want to set up BESX, and migrate users one by one by deactivating on 4.1.6 and reactivating on BESX.
Yes, this is certainly possible. (You'll need two SRPs and Auth Keys.)
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 04-14-2010, 12:21 PM   #17 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Passp
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,817
Post Thanks: 287
Thanked 305 Times in 287 Posts
Default

BES Express 5 can not upgrade a DB or connect to an older version.

Save some time and try transporter to move users.
BES/SBE/BPS 4.x upgrade options to BES Express 5.0 - BlackBerry Support Community Forums
__________________
unlock you phone here http://cellunlocker.net/blackberry-unlock.php
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright © 2004-2014 BlackBerryForums.com.
The names RIM © and BlackBerry © are registered Trademarks of BlackBerry Inc.